PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl Struct Reference

`#include <plask/mesh/extruded_triangular3d.hpp>`

Inheritance diagram for plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl:
[legend]
Collaboration diagram for plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl:
[legend]

## Public Member Functions
| IteratorImpl (const ExtrudedTriangularBoundaryImpl &boundary, std::set< std::size_t >::const_iterator longTranIter, std::size_t vertIndex)
std::size_t | dereference () const override
void | increment () override
| Iterate to next value.
bool | equal (const typename BoundaryNodeSetImpl::IteratorImpl &other) const override
std::unique_ptr< PolymorphicForwardIteratorImpl< std::size_t, std::size_t > > | clone () const override
| Clone this iterator.
Public Member Functions inherited from plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >
virtual | ~PolymorphicForwardIteratorImpl ()
| Virtual destructor, do nothing.
virtual bool | equal (const PolymorphicForwardIteratorImpl &other) const =0
| Check if this is equal to `other`.

## Public Attributes
const ExtrudedTriangularBoundaryImpl & | boundary
std::set< std::size_t >::const_iterator | longTranIter
std::size_t | vertIndex

## Additional Inherited Members
Public Types inherited from plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >
typedef ValueT | value_type
| Type of objects pointed by the iterator.
typedef ReferenceT | reference
| Type to represent a reference to an object pointed by the iterator.

## Detailed Description

Definition at line 324 of file extruded_triangular3d.hpp.

## Constructor & Destructor Documentation

## ◆ IteratorImpl()

plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::IteratorImpl | ( | const ExtrudedTriangularBoundaryImpl & | boundary,
|  | std::set< std::size_t >::const_iterator | longTranIter,
|  | std::size_t | vertIndex
| ) |  |
| inline

Definition at line 332 of file extruded_triangular3d.hpp.

## Member Function Documentation

## ◆ clone()

std::unique_ptr< PolymorphicForwardIteratorImpl< std::size_t, std::size_t > > plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::clone | ( |  | ) | const
| inline override virtual

Clone this iterator.

Returns
  clone of `*this`, allocated with new operator (caller is responsible for deleting it)

Implements plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >.

Definition at line 365 of file extruded_triangular3d.hpp.

## ◆ dereference()

std::size_t plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::dereference | ( |  | ) | const
| inline override virtual

Returns
  current value

Implements plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >.

Definition at line 340 of file extruded_triangular3d.hpp.

## ◆ equal()

bool plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::equal | ( | const typename BoundaryNodeSetImpl::IteratorImpl & | other | ) | const
| inline override

Definition at line 360 of file extruded_triangular3d.hpp.

## ◆ increment()

void plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::increment | ( |  | ) |
| inline override virtual

Iterate to next value.

Implements plask::PolymorphicForwardIteratorImpl< ValueT, ReferenceT >.

Definition at line 344 of file extruded_triangular3d.hpp.

## Member Data Documentation

## ◆ boundary

const ExtrudedTriangularBoundaryImpl& plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::boundary

Definition at line 326 of file extruded_triangular3d.hpp.

## ◆ longTranIter

std::set<std::size_t>::const_iterator plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::longTranIter

Definition at line 328 of file extruded_triangular3d.hpp.

## ◆ vertIndex

std::size_t plask::ExtrudedTriangularMesh3D::ExtrudedTriangularBoundaryImpl::IteratorImpl::vertIndex

Definition at line 330 of file extruded_triangular3d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/extruded_triangular3d.hpp